namespace MyOffice.Core.Extensions;

public static class GuidExtensions
{
	public static bool EqualsString(this Guid guid, string str)
	{
		return guid.ToString().EqualsIgnoreCase(str);
	}

	public static string ToShort(this Guid guid)
	{
		return guid.ToString("N");
	}

	public static string? ToShort(this Guid? guid)
	{
		return guid?.ToString("N");
	}
}